import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  ListDeployActionExecutionTargetsInput,
  ListDeployActionExecutionTargetsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListDeployActionExecutionTargetsCommandInput
  extends ListDeployActionExecutionTargetsInput {}
export interface ListDeployActionExecutionTargetsCommandOutput
  extends ListDeployActionExecutionTargetsOutput,
    __MetadataBearer {}
declare const ListDeployActionExecutionTargetsCommand_base: {
  new (
    input: ListDeployActionExecutionTargetsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListDeployActionExecutionTargetsCommandInput,
    ListDeployActionExecutionTargetsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    input: ListDeployActionExecutionTargetsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListDeployActionExecutionTargetsCommandInput,
    ListDeployActionExecutionTargetsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListDeployActionExecutionTargetsCommand extends ListDeployActionExecutionTargetsCommand_base {
  protected static __types: {
    api: {
      input: ListDeployActionExecutionTargetsInput;
      output: ListDeployActionExecutionTargetsOutput;
    };
    sdk: {
      input: ListDeployActionExecutionTargetsCommandInput;
      output: ListDeployActionExecutionTargetsCommandOutput;
    };
  };
}
